<?php

namespace App\Http\Resources\V3;

use Illuminate\Http\Resources\Json\JsonResource;

class InvoiceResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id'                      => $this->id,
            'bill_no'                 => $this->bill_no,
            'invoice_date'            => $this->invoice_date,
            'net_price'               => $this->net_price,
            'local_bill_no'           => $this->local_bill_no,
            'client_id'               => $this->client_id,
            'payment'                 => $this->payment,
            'invoice_total_disc'      => $this->invoice_total_disc,
            'invoice_total_disc_type' => $this->invoice_total_disc_type,
            'discount'                => $this->discount,
            'adds'                    => AddsResource::collection($this->adds)
        ];
    }
}
