<?php

namespace App\Models;

use App\Traits\FilterPerShop;
use Illuminate\Database\Eloquent\Model;

class NewRequestDetail extends Model
{
    use FilterPerShop;

    protected $table = 'request_details';

    protected $fillable = ['shop_id', 'request_id', 'item_id', 'quantity', 'price', 'sale_price', 'unit_id', 'water', 'protein', 'fats', 'water_discount', 'protein_bonus', 'fats_bonus'];
}
