<?php

namespace App\Traits;

use App\Models\Scopes\HasShopScope;

trait FilterPerShop
{
    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope(new HasShopScope);

        static::creating(function ($model) {
            $model->shop_id = shopId();
        });
    }
}
