<?php

namespace App\Models;

use App\Traits\FilterPerShop;
use Illuminate\Database\Eloquent\Model;

class SpendItem extends Model
{
    use FilterPerShop;

    protected $table = 'spending_item';
    protected $guarded = ['id'];
    public $timestamps = false;

    public function users()
    {
        return $this->belongsToMany(User::class, 'spending_user', 'user_id', 'spending_item_id')->select('users.id', 'users.user_name');
    }
}
